Subject: Re: [PATCH] net: usb: kalmia: validate USB endpoints

From: Simon Horman <[email-masked]>
Date: Tue, 24 Feb 2026 09:33:05 +0000

On Mon, Feb 23, 2026 at 01:59:26PM +0100, Greg Kroah-Hartman wrote:
> The kalmia driver should validate that the device it is probing has the
> proper number and types of USB endpoints it is expecting before it binds
> to it.  If a malicious device were to not have the same urbs the driver
> will crash later on when it blindly accesses these endpoints.
> 
> Cc: stable <[email-masked]>
> Assisted-by: gkh_clanker_2000
> Signed-off-by: Greg Kroah-Hartman <[email-masked]>

Hi Greg,

As a fix I think this warrants a fixes tag.
As this seems problem to go back to when this driver was added,
perhaps this one:

Fixes: d40261236e8e ("net/usb: Add Samsung Kalmia driver for Samsung GT-B3730")

Regardless, this looks good to me.

Reviewed-by: Simon Horman <[email-masked]>

...